<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
	<link rel="shortcut icon" type="image/x-icon" href="/static/images/pfavicon.ico" />
    <title>Creating Real-Time Charts with Flask</title>
      <link rel="stylesheet" href="/static/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	
	
    <link href="/static/css/Chart.min.css" rel="stylesheet">
	<script src="/static/RGraph/libraries/RGraph.common.core.js"></script>
	<script src="/static/RGraph/libraries/RGraph.common.dynamic.js"></script>
	<script src="/static/RGraph/libraries/RGraph.meter.js"></script>
	<link href="/static/css/main.css" rel="stylesheet">
</head>
<body>
  <nav class="navbar navbar-dark" style="background-color:#FFFFFF;border-bottom: 5px solid#425563">
	<div class="container-logo">
        <a href="/" title="">
            <img src="/static/images/pf_logo.svg" title="" alt="">
        </a>
        <img class="claim" src="/static/images/claim.png">
	</div>
  </nav>
   <nav class="navbar navbar-expand-lg navbar-light bg-light">
   <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
    <div class="navbar-nav">
      <a class="nav-item nav-link" style="font-size:20px" href="/">Port view</a>
      <a class="nav-item nav-link active" style="font-size:20px" href="#">Dashboards<span class="sr-only">(current)</span></a>
    </div>
  </div>
</nav>
 <style>
 .colCard{
	padding:20px;
 }
 </style>

<div class="container" id="chartContainer" style='max-width:100%'>
{% for each in serverJsonData %}
	{% if loop.index is divisibleby 2 %}
		<div class="col-6 colCard">
			<a href='{{serverJsonData[each]["urlController"]}}'><div class="card">
				<div class="card-body" style="text-align:center">
					<img src='{{serverJsonData[each]["image"]}}'>
					<h4>{{serverJsonData[each]["description"]}}</h4>
				</div>
			</div>
			</a>
		</div>
		
    </div>
	{% else %}
		<div class="row">
        <div class="col-6 colCard">
            <a href='{{serverJsonData[each]["urlController"]}}'><div class="card">
                <div class="card-body" style="text-align:center">
                    <img src='{{serverJsonData[each]["image"]}}'>
					<h4>{{serverJsonData[each]["description"]}}</h4>
                </div>
            </div>
			</a>
        </div>
	{% endif %}
{% endfor %}
{% if len is not divisibleby 2 %}
	</div>
{% endif %}

</div>
<!-- Footer -->
<footer class="page-footer font-small blue" style="background:#00A587">
  <!-- Copyright -->
  <div class="footer-copyright text-center py-3" style="color:#FFFFFF;padding-top:50px!important;padding-bottom:50px!important">© 2020 Copyright:
    <a style="color:#FFFFFF" href="https://www.pepperl-fuchs.com/">Pepperl+Fuchs</a>
  </div>
  <!-- Copyright -->

</footer>
<!-- Footer -->
<script src="/static/js/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
    crossorigin="anonymous"></script>
  <script src="/static/js/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="/static/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>
<script src="/static/js/Chart.min.js"></script>


</body>
</html>